---

- name: Configure Openbox
  copy:
    src: openbox_rc
    dest: /home/odoo/.config/openbox/rc.xml
    owner: odoo

- name: Copy wallpapers
  copy:
    src: wallpapers/
    dest: /home/odoo/wallpapers/
    owner: odoo

- name: Service that schedules the desktop to show every few minutes
  copy:
    src: show_desktop_timer_unit
    dest: /etc/systemd/system/show-desktop.timer
    mode: 0644
    owner: root

- name: Script that reloads the screen when it detects the file changed
  copy:
    src: show_desktop_service_unit
    dest: /etc/systemd/system/show-desktop.service
    mode: 0644
    owner: root

- name: Enable and start the scheduled desktop show
  systemd:
    daemon_reload: yes
    name: show-desktop.timer
    state: started
    enabled: true

